## org.apache.maven.plugins.site
Class SiteMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.maven.plugins.site.AbstractSiteMojo
              org.apache.maven.plugins.site.AbstractSiteRenderingMojo
                  org.apache.maven.plugins.site.SiteMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  SiteJarMojo, SiteStageMojo

    public class SiteMojo

extends AbstractSiteRenderingMojo

Generates the site for a single project.

Note that links between module sites in a multi module build will not work.

Version:
  $Id: SiteMojo.java 890094 2009-12-13 19:31:42Z ltheussl $
Author:
  Emmanuel Venisse, Vincent Siveton

Field Summary
`protected java.io.File` `outputDirectory` Directory containing the generated project sites and report distributions.

Fields inherited from class org.apache.maven.plugins.site.AbstractSiteRenderingMojo
`artifactFactory, artifactResolver, assembler, attributes, generatedSiteDirectory, moduleExcludes, reports, repositories, siteRenderer`

Fields inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`i18n, locales, localRepository, project, reactorProjects, siteDirectory, siteTool`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`SiteMojo()`

Method Summary
`void` `execute()` Generate the project site throws MojoExecutionException if any

Methods inherited from class org.apache.maven.plugins.site.AbstractSiteRenderingMojo
`categoriseReports, createSiteRenderingContext, filterReports, locateDocuments, locateReports`

Methods inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`getInputEncoding, getOutputEncoding, populateReportItems, toRelative`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputDirectory

    protected java.io.File outputDirectory

  Directory containing the generated project sites and report distributions.

Constructor Detail

### SiteMojo

    public SiteMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

  Generate the project site

  throws MojoExecutionException if any

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `org.apache.maven.plugin.MojoFailureException`
  See Also:
    `Mojo.execute()`

Copyright © 2011. All Rights Reserved.